corda / net.corda.node.services.transactions / BFTSmartServer

# BFTSmartServer

`class BFTSmartServer<K : Any, V : Any> : DefaultRecoverable`

### Constructors

<init> | `BFTSmartServer(id: Int, db: Database, tableName: String)`

### Properties

db | `val db: Database`
id | `val id: Int`
replica | `val replica: ServiceReplica`
table | `val table: JDBCHashMap<K, V>`

### Functions

appExecuteBatch | `fun appExecuteBatch(command: Array<ByteArray>, mcs: Array<MessageContext>): Array<ByteArray?>`
appExecuteUnordered | `fun appExecuteUnordered(command: ByteArray, msgCtx: MessageContext): ByteArray?`
getSnapshot | `fun getSnapshot(): ByteArray`
installSnapshot | `fun installSnapshot(bytes: ByteArray): Unit`